Name:          keepassxc
Version:       2.7.10
Release:       1mamba
Summary:       A modern, secure, and open-source password manager that stores and manages your most sensitive information
Group:         Graphical Desktop/Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://keepassxc.org/
Source:        https://github.com/keepassxreboot/keepassxc.git/%{version}/keepassxc-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Concurrent
BuildRequires: libQt5Core
BuildRequires: libQt5DBus
BuildRequires: libQt5Gui
BuildRequires: libQt5Network
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5Widgets
BuildRequires: libQt5X11Extras-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: libargon2-devel
BuildRequires: libbotan-devel
BuildRequires: libgcc
BuildRequires: libminizip1-devel
BuildRequires: libpcsclite-devel
BuildRequires: libqrencode-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libusb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libbotan-devel >= 0:3.6.1-1mamba
BuildRequires: cmake

%description
KeePassXC is a modern, secure, and open-source password manager that stores and manages your most sensitive information.


%prep
%setup -q

%build
%cmake -d build \
    -DWITH_XC_ALL=ON \
    -DWITH_XC_UPDATECHECK=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/keepassxc
%{_bindir}/keepassxc-cli
%{_bindir}/keepassxc-proxy
%{_libdir}/keepassxc/libkeepassxc-autotype-xcb.so
%{_datadir}/applications/org.keepassxc.KeePassXC.desktop
%{_datadir}/metainfo/org.keepassxc.KeePassXC.appdata.xml
%{_datadir}/mime/packages/keepassxc.xml
%dir %{_datadir}/keepassxc
%dir %{_datadir}/keepassxc/docs
%{_datadir}/keepassxc/docs/*
%dir %{_datadir}/keepassxc/icons
%{_datadir}/keepassxc/icons/application/256x256/apps/keepassxc.png
%dir %{_datadir}/keepassxc/translations
%{_datadir}/keepassxc/translations/keepassxc_*.qm
%dir %{_datadir}/keepassxc/wordlists
%{_datadir}/keepassxc/wordlists/eff_large.wordlist
%{_datadir}/icons/hicolor/256x256/apps/keepassxc.png
%{_datadir}/icons/hicolor/scalable/apps/keepassxc*.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-keepassxc.svg
%{_mandir}/man1/keepassxc-cli.1*
%{_mandir}/man1/keepassxc.1*
%doc COPYING

%changelog
* Tue Mar 04 2025 Automatic Build System <autodist@openmamba.org> 2.7.10-1mamba
- automatic version update by autodist

* Sun Jan 05 2025 Automatic Build System <autodist@mambasoft.it> 2.7.9-3mamba
- rebuilt by autoport with build requirements: libbotan-devel>=0:3.6.1-1mamba

* Sat Jul 20 2024 Automatic Build System <autodist@mambasoft.it> 2.7.9-2mamba
- rebuilt by autoport with build requirements: libbotan-devel>=0:3.5.0-1mamba

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 2.7.9-1mamba
- automatic version update by autodist

* Mon May 06 2024 Automatic Build System <autodist@openmamba.org> 2.7.8-1mamba
- automatic version update by autodist

* Fri May 03 2024 Automatic Build System <autodist@mambasoft.it> 2.7.7-2mamba
- rebuilt by autoport with build requirements: libbotan-devel>=3.4.0-1mamba

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 2.7.7-1mamba
- automatic version update by autodist

* Sun Feb 25 2024 Automatic Build System <autodist@mambasoft.it> 2.7.6-3mamba
- rebuilt by autoport with build requirements: libbotan-devel>=3.3.0-1mamba

* Sun Nov 12 2023 Automatic Build System <autodist@mambasoft.it> 2.7.6-2mamba
- rebuilt by autoport with build requirements: libbotan-devel>=3.2.0-1mamba

* Wed Aug 16 2023 Automatic Build System <autodist@mambasoft.it> 2.7.6-1mamba
- automatic version update by autodist

* Mon May 15 2023 Automatic Build System <autodist@mambasoft.it> 2.7.5-1mamba
- automatic version update by autodist

* Thu Jan 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.4-2mamba
- rebuilt with WITH_XC_UPDATECHECK=OFF

* Thu Jan 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.4-1mamba
- package created using the webbuild interface
